package com.heyu.api.data.dao.system;
/**
* <p>
* 系统问答和用户绑定关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemTalkBindUserEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemTalkBindUserDao extends BaseMapper<SystemTalkBindUserEntity> {


	SystemTalkBindUserEntity selectSystemTalkBindUserById(@Param("id")Long id);


	Long insertSystemTalkBindUser(SystemTalkBindUserEntity systemTalkBindUser);


	Long insertOrUpdateSystemTalkBindUser(SystemTalkBindUserEntity systemTalkBindUser);


	int updateSystemTalkBindUserById(SystemTalkBindUserEntity systemTalkBindUser);


	int updateCoverSystemTalkBindUserById(SystemTalkBindUserEntity systemTalkBindUser);


	int deleteSystemTalkBindUserById(@Param("id")Long id);


}